1. OMPL
  2. OMPL
  3. ompl
  4. Pull requests

Pull requests

#13 Merged
Repository
Branch
cost_updates_luis
Repository
Branch
default

cost framework from Luis (GSOC 2013)

Author
  1. Ioan Sucan
Reviewers
Description
No description

Comments (9)

  1. Ioan Sucan author

    There seems to be a problem: I cannot compile this with boost 1.49 on ubuntu 13.04; We should be able to suppor out of the box at least Ubuntu 12.04 (boost 1.46 I believe). We should add some conditional compilation magic.

  2. Luis Torres

    Ahhhhhh yeah you're totally right. I'll start doing some testing to deal with these issues. According to the ubuntu package database, Ubuntu 12.04 (precise) packages Boost 1.48, so I'll try to build against that. However, I noticed that the bitbucket homepage for OMPL specifies 1.44 as the dependency; should we try building against that too?

      1. Luis Torres

        So it looks like Boost::Chrono wasn't yet in 1.46.1, meaning all the boost::duration stuff doesn't work. This puts us in a weird bind because we'd have to revert to using some functions that are currently deprecated. Should we use conditional compilation for this?